# MediaSource Class Reference

### [com.trolltech.qt.phonon package]

### Constructor

- void MediaSource()
- void MediaSource(AbstractMediaStream stream)
- void MediaSource(DiscType discType, String deviceName)
- void MediaSource(QIODevice ioDevice)
- void MediaSource(AudioCaptureDevice device)
- void MediaSource(MediaSource rhs)
- void MediaSource(VideoCaptureDevice device)
- void MediaSource(String fileName)
- void MediaSource(QUrl url)

### Constructor Properties

- prototype: The MediaSource prototype object
- Invalid = -1
- LocalFile
- Url
- Disc
- Stream
- CaptureDevice
- Empty
- AudioVideoCapture
- Type( value )

### Prototype Object Properties

- AudioCaptureDevice audioCaptureDevice()
- DeviceAccessList audioDeviceAccessList()
- bool autoDelete()
- String deviceName()
- DiscType discType()
- String fileName()
- bool operator_equal(MediaSource rhs)
- void setAutoDelete(bool enable)
- AbstractMediaStream stream()
- Type type()
- QUrl url()
- VideoCaptureDevice videoCaptureDevice()
- DeviceAccessList videoDeviceAccessList()

### Instance Properties

MediaSource objects have no special properties beyond those inherited from the MediaSource prototype object.